Leaves
Pending leave request
Response Body
application/json
curl -X GET "https://example.com/api/public/v3/leave_requests/pending"{ "data": [ { "id": 0, "employee_id": 0, "leave_type_id": 0, "leave_type": "string", "state": "string", "amount": "string", "hours": "string", "tracking_time_in": "string", "on_demand": true, "starts_on": "string", "ends_on": "string", "comment": "string", "created_at": "string", "updated_at": "string", "attachment_url": null, "attachments": [ null ], "employee": { "id": 0, "first_name": "string", "last_name": "string", "email": "string" }, "entries": [ { "date": "string", "amount": "string", "starts_at": null, "ends_at": null } ], "leave_type_policy": { "name": "string", "visibility": "string", "activity_type": "string" }, "approvals": [ null ] } ], "metadata": { "pagination": { "page": 0, "pages": 0, "count": 0, "items": 0 } }}